- Fluid Reference Documentation
- Fluid 1.0.0

# Loadable QML Type

Loadable component. More...

Import Statement: | import Fluid.Controls 1.0

- List of all members, including inherited members

## Properties

- asynchronous : bool
- component : Component
- hideAnimation : var
- item : Item
- showAnimation : var

## Methods

- void hide()
- void show()

## Detailed Description

## Property Documentation

asynchronous : bool

Whether the component is loaded asynchronously or not.

component : Component

Component to load.

hideAnimation : var

Animation to play when the component is hidden.

item : Item

Item created after Loadable::component is loaded.

showAnimation : var

Animation to play when the component is shown.

## Method Documentation

void hide()

Hide the component.

void show()

Show the component.